> ## Documentation Index
> Fetch the complete documentation index at: https://drippi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account by ID

> Returns a specific account by its ID

Returns a specific account by its ID. Use this endpoint to retrieve detailed information about a particular connected social media account.


## OpenAPI

````yaml GET /accounts/{id}
openapi: 3.0.1
info:
  title: Drippi Public API
  description: API for accessing Drippi automation and lead management data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.drippi.ai/api/v1
    description: Production API server
security:
  - apiKeyAuth: []
paths:
  /accounts/{id}:
    get:
      tags:
        - Accounts
      summary: Get account by ID
      description: Returns a specific account by its ID
      parameters:
        - name: id
          in: path
          description: Twitter ID of the account
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved account
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  account:
                    $ref: '#/components/schemas/Account'
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Account:
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the account (not present in single account
            responses)
        twid:
          type: string
          description: Twitter ID of the account
        ownedBy:
          type: string
          description: User ID who owns this account
        status:
          type: string
          description: Account status (e.g., 'connected', 'disconnected')
        useV2Auth:
          type: boolean
          description: Whether the account uses Twitter API v2 authentication
        consecutiveErrors:
          type: integer
          description: Number of consecutive errors encountered
        v2AuthConsecutiveErrors:
          type: integer
          description: Number of consecutive errors with v2 authentication
        lastUpdated:
          $ref: '#/components/schemas/Timestamp'
        addedAt:
          $ref: '#/components/schemas/Timestamp'
        twitterInfo:
          $ref: '#/components/schemas/TwitterInfo'
        twitterInfoLastUpdated:
          $ref: '#/components/schemas/Timestamp'
        headers:
          $ref: '#/components/schemas/Headers'
        headersV2:
          $ref: '#/components/schemas/HeadersV2'
        lastDisconnectCode:
          type: integer
          description: HTTP status code of the last disconnect
        lastDisconnectMessage:
          type: string
          description: Message describing the last disconnect reason
        lastDisconnectType:
          type: string
          description: Type of the last disconnect (e.g., 'consecutive_errors')
    Error:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Something went wrong
    Timestamp:
      type: object
      properties:
        _seconds:
          type: integer
          description: Unix timestamp in seconds
        _nanoseconds:
          type: integer
          description: Nanoseconds part of the timestamp
    TwitterInfo:
      type: object
      properties:
        id:
          type: string
          description: Twitter user ID
        name:
          type: string
          description: Display name
        username:
          type: string
          description: Twitter username (without @)
        created_at:
          type: string
          description: Account creation date
        description:
          type: string
          description: User bio/description
        location:
          type: string
          description: User location
        url:
          type: string
          description: User website URL
        protected:
          type: boolean
          description: Whether the account is protected
        verified:
          type: boolean
          description: Whether the account is verified
        profile_image_url:
          type: string
          description: Profile image URL
        pinned_tweet_id:
          type: string
          description: ID of pinned tweet
        public_metrics:
          type: object
          properties:
            followers_count:
              type: integer
              description: Number of followers
            following_count:
              type: integer
              description: Number of accounts being followed
            tweet_count:
              type: integer
              description: Number of tweets
            listed_count:
              type: integer
              description: Number of lists the user is on
        entities:
          type: object
          properties:
            description:
              type: object
              properties:
                urls:
                  type: array
                  items:
                    type: object
            url:
              type: object
              properties:
                urls:
                  type: array
                  items:
                    type: object
                    properties:
                      display_url:
                        type: string
                      expanded_url:
                        type: string
                      url:
                        type: string
                      indices:
                        type: array
                        items:
                          type: integer
        gqlId:
          type: string
          description: GraphQL ID
    Headers:
      type: object
      description: HTTP headers for Twitter API v1.1 authentication
      additionalProperties:
        type: string
    HeadersV2:
      type: object
      properties:
        oAuthToken:
          type: string
          description: OAuth token for Twitter API v2
        oAuthTokenSecret:
          type: string
          description: OAuth token secret for Twitter API v2
        cookie:
          type: array
          items:
            type: string
          description: Array of cookie strings
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````